Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.sac
Class AbstractAttributeCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractAttributeCondition

All Implemented Interfaces:
  AttributeCondition, Condition, ExtendedCondition

Direct Known Subclasses:
  CSSAttributeCondition, CSSIdCondition, CSSPseudoClassCondition

public abstract class AbstractAttributeCondition
extends java.lang.Object
implements AttributeCondition, ExtendedCondition

This class provides an abstract implementation of the `AttributeCondition` interface.

Field Summary
`protected java.lang.String` | `value` The attribute value.

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`protected` | `AbstractAttributeCondition(java.lang.String value)` Creates a new AbstractAttributeCondition object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`int` | `getSpecificity()` Returns the specificity of this condition.
`java.lang.String` | `getValue()` SAC: Implements `AttributeCondition.getValue()`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.AttributeCondition
`getLocalName, getNamespaceURI, getSpecified`

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Methods inherited from interface org.apache.batik.css.engine.sac.ExtendedCondition
`fillAttributeSet, match`

Field Detail

### value

    protected java.lang.String value

  The attribute value.

Constructor Detail

### AbstractAttributeCondition

    protected AbstractAttributeCondition(java.lang.String value)

  Creates a new AbstractAttributeCondition object.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Parameters:
    `obj` - the reference object with which to compare.

### getSpecificity

    public int getSpecificity()

  Returns the specificity of this condition.

  Specified by:
    `getSpecificity` in interface `ExtendedCondition`

### getValue

    public java.lang.String getValue()

  SAC: Implements `AttributeCondition.getValue()`.

  Specified by:
    `getValue` in interface `AttributeCondition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.